System Requirements

Hardware Requirements

Our minimum hardware requirements to ensure a satisfactory level of performance are:

  • Processor and RAM to meet operating system requirements
  • 300MB of hard disk space free (minimum) 1Gb+ hard disk space (recommended).
  • Dial-up Internet Access (minimum - on at least one terminal in your office) Broadband Internet Access (recommended).
  • Any Windows compatible colour or monochrome printer (colour recommended).
  • For a multi-user installation a network is required.


Software Requirements

A licensed copy of Microsoft Word version XP, 2003, 2007, 2010, 2013 or 2016 is required if you intend to create Personal Financial Profile reports, Standard Documents or Mailshots.

Please note that from April 2014, Microsoft no longer offer support for Windows XP. JCS do not insist on users upgrading away from Windows XP as our software will still work on it for the immediate future, however, due to Microsoft's stance on this, we may be forced into something at a later date. If this is the case, we will give plenty of notice. This is also our stance on versions of Office that we support to work with JCS.

Supported Office Versions

It is recommended that you upgrade to the latest service pack for your product.

Office 2002 / Office XP

  • Base - Supported but not recommended
  • Service Pack 1 - Supported but not recommended (required for SP-2)
  • Service Pack 2 - Supported but not recommended
  • Service Pack 3 - Supported

Office 2003

  • Base - Supported but not recommended
  • Service Pack 1 - Supported but not recommended
  • Service Pack 2 - Supported but not recommended
  • Service Pack 3 - Supported

Office 2007

  • Base - Supported but not recommended
  • Service Pack 1 - Supported but not recommended 
  • Service Pack 2 - Supported but not recommended
  • Service Pack 3 - Supported

Office 2010

  • Base - Supported but not recommended
  • Service Pack 1 - Supported but not recommended
  • Service Pack 2 - Supported

Office 2013

  • Base - Supported but not recommended
  • Service Pack 1 - Supported

Office 2016

  • Base - Supported

Note: 
It is highly recommended that the 32-bit version of Office 2010, Office 2013 and Office 2016 should be used in preference to the 64-bit version.
For more information on this please read the following article on Office 2010/13/16 64-Bit.

Supported Operating Systems

  • Windows XP - Supported from service pack 3
  • Windows XP x64 - NOT SUPPORTED due to lack of support for SHA-256 certificates
  • Windows Vista - Supported from service pack 2 only with update KB2763674 for SHA-256 certificates
  • Windows Vista x64 - Supported from service pack 2 only with update KB2763674 for SHA-256 certificates
  • Windows 7 32 bit - Supported
  • Windows 7 64 bit - Supported
  • Windows 8 32 bit - Supported
  • Windows 8 64 bit - Supported
  • Windows 8 RT - NOT SUPPORTED
  • Windows 8.1 32 bit - Supported
  • Windows 8.1 64 bit - Supported
  • Windows10 32 bit - Supported
  • Windows10 64 bit - Supported
  • Windows10 S - NOT SUPPORTED

 

  • Windows Server 2003 - NOT SUPPORTED due to lack of support for SHA-256 certificates
  • Windows Server 2003 R2 - NOT SUPPORTED due to lack of support for SHA-256 certificates
  • Windows Server 2008 - NOT SUPPORTED due to lack of support for SHA-256 certificates
  • Windows Server 2008 R2 - Supported
  • Windows Server 2012 - Supported
  • Windows Server 2012 R2 - Supported
  • Windows Server 2016 - Supported

Windows 8 & Server 2012 Support Read More>>

Recommended Internet Options Security Changes

Due to the many security vulnerabilities of the last year or so, mainly based around the SSL and TLS encryption protocols, many Product Providers are starting to drop support for older security protocols and insisting that connections to valuation services and adviser portals are only allowed when using the newer protocols.

To ensure that you are able to continue using these services we recommend that the following Internet Security protocols be disabled; 

  • SSL 2.0
  • SSL 3.0 
  • TLS 1.0
  • TLS 1.1

and that TLS 1.2 is enabled.

The above settings are usually located by going to 'Tools'>'Internet Options'>'Advanced' and scrolling to the bottom of 'Settings' list. Simply un-tick the boxes mentioned above and then click the 'Apply' and 'Ok' buttons to disable unwanted security settings and save the changes.

If you were experiencing issues with connections before this, you may need to restart JCS and any web browser sessions before trying again. 

The site below will guide you through turning off support for SSLv3 from within your specific browser. While you are in the options page, you should be able to see how to enable TLS 1.0 through TLS 1.2 as well.

 Disabling SSLv3 Support in Browsers 

Contact JCS:

If you already have a network installed and you are unsure whether it will meet with our hardware requirements please contact JCS Technical Support team on: 03450 049 599 option 1 (Local call rate) or +44 (0)20 7043 9014 option 1 (International).

Note: If you are unable to speak to a member of JCS Technical Support right away please leave your name, contact number and a short message and a member of our support team will contact you as soon as they become available.